%global packname  CoxBoost
%global rlibdir  %{_libdir}/R/library

Name:             R-%{packname}
Version:          1.3
Release:          2
Summary:          Cox models by likelihood based boosting for a single survival endpoint or competing risks
Group:            Sciences/Mathematics
License:          GPL (>= 2)
URL:              http://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz
Requires:         R-survival R-Matrix 
Requires:         R-snowfall R-multicore 
BuildRequires:    R-devel Rmath-devel texlive-collection-latex R-survival R-Matrix
BuildRequires:    R-snowfall R-multicore 
%rename R-cran-CoxBoost

%description
This package provides routines for fitting Cox models by likelihood based
boosting for a single endpoint or in presence of competing risks

%prep
%setup -q -c -n %{packname}

%build

%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css

%check
%{_bindir}/R CMD check %{packname}

%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/libs


%changelog
* Thu Feb 16 2012 Paulo Andrade <pcpa@mandriva.com.br> 1.3-2
+ Revision: 775026
- Use proper tarball
- Update to latest version

* Thu Feb 16 2012 Paulo Andrade <pcpa@mandriva.com.br> 1.2_1-1
+ Revision: 774818
- Update and rebuild with R2spec
- Update and rebuild with R2spec

* Fri Dec 25 2009 Jérôme Brenier <incubusss@mandriva.org> 1.1-1mdv2010.1
+ Revision: 482236
- new version 1.1

* Tue Sep 08 2009 Thierry Vignaud <tv@mandriva.org> 1.0-6mdv2010.0
+ Revision: 433079
- rebuild

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 1.0-5mdv2009.0
+ Revision: 260128
- rebuild

* Fri Jul 25 2008 Thierry Vignaud <tv@mandriva.org> 1.0-4mdv2009.0
+ Revision: 248231
- rebuild

* Fri Feb 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-2mdv2008.1
+ Revision: 176957
- remove requires on libR.so

* Sun Feb 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-1mdv2008.1
+ Revision: 169927
- complete spec file
- fix Url
- add source and spec file
- Created package structure for R-cran-CoxBoost.

